Bug 109255 - Oops in ext3_lookup : iget4
Oops in ext3_lookup : iget4
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-06 00:31 EST by Need Real Name
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-25 18:03:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
syslog (11.94 KB, text/plain)
2003-11-06 00:38 EST, Need Real Name
no flags Details
syslog showing IDE & ext3 (3.86 KB, text/plain)
2003-11-06 00:43 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-11-06 00:31:43 EST
Description of problem:

Version-Release number of selected component (if applicable): 2.4.20-20.9

How reproducible: Not reproducable here

Steps to Reproduce:
Actual results: Oops from ext3 code

Expected results: System remains usable

Additional info:
Comment 1 Need Real Name 2003-11-06 00:38:39 EST
Created attachment 95749 [details]

$uname -a
Linux my.machine 2.4.20-20.9 #1 Mon Aug 18 11:45:58 EDT 2003 i686 i686 i386
Comment 2 Need Real Name 2003-11-06 00:43:45 EST
Created attachment 95750 [details]
syslog showing IDE & ext3

Excerpts from syslog showing ide & ext3 information
System has no SCSI disks
Comment 3 Stephen Tweedie 2003-11-18 12:36:31 EST
Ext3 just happens to be calling the inode lookup here, but the real
problem is in the VFS inode list handling internals.  We've got a bad
pointer, 0xffffffff, on a hash list, it appears.

99 times out of a hundred, corruption like this in a core VFS list is
either due to manually-loaded kernel modules or bad hardware.  
There's no evidence of bad modules here --- have you tried memtest86
on this box?
Comment 4 Need Real Name 2003-11-25 03:29:17 EST
Full test suite from Memtest-86-v3.0 reprots no errors.
As the module list in the log shows, no self written / non-RedHat
modules were loaded. AFAIK, there is no such module on this system :)
Comment 5 Stephen Tweedie 2003-11-25 18:03:02 EST
Unfortunately, this is a one-off crash involving corruption of a
linked list which is relied on utterly by every kernel, so it's part
of the kernel reckoned to be pretty reliable.  It could well just be a
random hardware flip.  We'd need more information to take it any
further, but this footprint is not one I've ever seen reported
anywhere else.

Please do keep an eye on it though and report if this happens again. 
Right now, though, there's really not enough to work on.
Comment 6 Need Real Name 2003-12-15 16:25:03 EST
Thanks Stephen. I shall certainly reopen if I spot it again. I
understand I haven't been able to provide much to look into.

Note You need to log in before you can comment on or make changes to this bug.